Skip to content
Docs

HELOC Inquiries/Exceptions

Add income

PUT/products/heloc/v1/inquiry/{appUuid}/add-income
Request
curl -X PUT \
  "https://api.test.figure.com/products/heloc/v1/inquiry/{appUuid}/add-income" \
  -H "apikey: $FIGURE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
  "request": {
    "loanOriginatorUuid": "3f2b6c1e-8d4a-4b7e-9c2f-5a1d7e9b0c3a",
    "async": true
  },
  "income": {
    "employmentType": "UNKNOWN",
    "grossAnnualIncome": 0,
    "annualRetirementIncome": 0,
    "annualInvestmentIncome": 0,
    "annualBusinessIncome": 0,
    "savingsAmount": 0,
    "otherAnnualIncome": 0
  }
}'

Path parameters

  • appUuidstringRequired

Request body

application/json

  • requestobjectRequired
    ShowHide 2 attributes of request
    • loanOriginatorUuidstringRequired
    • asyncbooleanRequiredDeprecated

      Will be removed from all requests in a future release. This is no longer an option on some requests. Async will be the only option.

  • incomeobjectRequired
    ShowHide 7 attributes of income
    • employmentTypeenumRequired
      One of
      11 valuesUNKNOWNOTHERSELF_EMPLOYEDFULL_TIMEPART_TIMERETIREDUNEMPLOYEDALIMONYCHILD_SUPPORTPUBLIC_ASSISTANCE_PROGRAMSEPARATE_MAINTENANCE_PAYMENTS
    • grossAnnualIncomenumberRequired

      ≤ 99999999

    • annualRetirementIncomenumber
    • annualInvestmentIncomenumber
    • annualBusinessIncomenumber

      ≤ 99999999

    • savingsAmountnumber
    • otherAnnualIncomenumber

      ≤ 99999999

Responses

200OKobject
  • messagesarray of objects
    ShowHide 2 attributes of messages
    • levelstringRequired
    • messagestringRequired
Response
{
  "messages": [
    {
      "level": "string",
      "message": "string"
    }
  ]
}